#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 31. KDE Frameworks 5 Based Applications

- Prev

  KMix-21.12.2

- Next

  Khelpcenter-21.12.2

- Up
- Home

# kio-extras-21.12.2

## Introduction to kio-extras

The kio-extras package contains additional components to increase the functionality of the KDE resource and network access abstractions.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/21.12.2/src/kio-extras-21.12.2.tar.xz

- Download MD5 sum: 6307a00d0d212ba257778d0174f10915

- Download size: 620 KB

- Estimated disk space required: 42 MB

- Estimated build time: 0.5 SBU (using parallelism=4)

### kio-extras Dependencies

#### Required

kdsoap-2.0.0 and KDE Frameworks-5.91.0

#### Optional

libtirpc-1.3.2, Samba-4.15.5, and taglib-1.12

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/kio-extras

## Installation of kio-extras

Install kio-extras by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=$KF5_PREFIX \
          -DCMAKE_BUILD_TYPE=Release         \
          -DBUILD_TESTING=OFF                \
          -Wno-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: None
Installed Libraries: libkioarchive.so and 32 plugins
Installed Directories: None

- Prev

  KMix-21.12.2

- Next

  Khelpcenter-21.12.2

- Up
- Home